import ajax from "@/utils/request";

export const getSupplierList = async () =>
  ajax(`/supplier/getSupplierList`, "GET");

export const getSupplier = async (id) =>
  ajax(`/supplier/getSupplier`, "GET", { id });

export const deleteSupplier = async (id) =>
  ajax(`/supplier/deleteSupplier`, "GET", { id });

export const updateSupplier = async (params) =>
  ajax(`/supplier/updateSupplier`, "POST", params);

export const addSupplier = async (params) =>
  ajax(`/supplier/addSupplier`, "POST", params);
